<div class="container">
    <h1>Login to continue</h1>
    <form [formGroup]="loginForm" (ngSubmit)="login()">
        <div class="form-group">
            <label for="username">Username:</label>
            <input type="text" id="username" name="username" formControlName="username">
            <div *ngIf="loginForm.get('username')?.invalid && loginForm.get('username')?.touched">
                <div *ngIf="loginForm.get('username')?.errors?.['required']">
                    <p class="error">Username is required.</p>
                </div>
                <div *ngIf="loginForm.get('username')?.errors?.['minlength']">
                    <p class="error">Username must be at least 6 characters long.</p>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" id="password" name="password" formControlName="password">
            <div *ngIf="loginForm.get('password')?.invalid && loginForm.get('password')?.touched">
                <div *ngIf="loginForm.get('password')?.errors?.['required']">
                    <p class="error">Password is required.</p>
                </div>
                <div *ngIf="loginForm.get('password')?.errors?.['minlength']">
                    <p class="error">Password must be at least 6 characters long.</p>
                </div>
                <div *ngIf="loginForm.get('password')?.errors?.['pattern']">
                    <p class="error">Password must contain at least one digit and one uppercase letter.</p>
                </div>
            </div>
        </div>
        <button type="submit" mat-raised-button color="primary" [disabled]="!loginForm.valid">Login</button>
    </form>
    <p>New user ? <a routerLink="/login">Sign Up</a></p>
</div>



